package com.tencent.mm.plugin.appbrand.widget.input.c;

import android.os.Looper;
import android.os.Message;
import android.text.Selection;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.sdk.platformtools.ak;
import org.xwalk.core.XWalkFeature;

public final class a {
    private final ak jec = new 1(this, Looper.getMainLooper());
    public volatile c jin;

    public a() {
        AppMethodBeat.i(77443);
        AppMethodBeat.o(77443);
    }

    public final void a(CharSequence charSequence, boolean z) {
        AppMethodBeat.i(77444);
        if (charSequence == null) {
            AppMethodBeat.o(77444);
            return;
        }
        Message obtainMessage = this.jec.obtainMessage(XWalkFeature.INTERFACE_GEO_LOCATION_PERMISSION, Selection.getSelectionEnd(charSequence), 0, charSequence.toString());
        this.jec.removeMessages(XWalkFeature.INTERFACE_GEO_LOCATION_PERMISSION);
        this.jec.sendMessageDelayed(obtainMessage, z ? 150 : 0);
        AppMethodBeat.o(77444);
    }
}
